package com.example.mapper;

import com.example.entity.Patent;
import org.apache.ibatis.annotations.*;

@Mapper
public interface PatentMapper {
    /**
     * 老师专利信息上传
     * @param awards
     */
    @Insert("insert into teacherteam_system.patent (patent_num, authorization_num, certificate_num, date, teacher_id) " +
            "values (#{patentNum},#{authorizationNum},#{certificateNum},#{date},#{teacherId});")
    void uploadPatent(Patent awards);


    /**
     * 修改指定奖项
     * @param awards
     */
    void updatePatent(Patent awards);

    /**
     * 查询指定奖项
     *
     * @param id
     * @return
     */
    @Select("select * from teacherteam_system.patent where id = #{id}")
    Patent getById(Long id);

    /**
     * 删除指定奖项
     * @param id
     */
    @Delete("delete from teacherteam_system.patent where id = #{id}")
    void deleteById(Long id);
}
