package com.example.mapper;

import com.example.entity.Work;
import org.apache.ibatis.annotations.*;

@Mapper
public interface WorkMapper {
    /**
     * 老师著作上传
     * @param work
     */
    @Insert("insert into teacherteam_system.work(teacher_id, name, date, image,press,file)" +
            "values (#{teacherId},#{name},#{date},#{image},#{press},#{file});")
    void uploadWork(Work work);

    /**
     * 老师著作数量增加
     * @param id
     */
    @Update("update teacherteam_system.teacher set work_num = teacher.work_num+1 where id = #{id}")
    void addWorkNum(Long id);

    /**
     * 老师著作修改
     * @param work
     */
    void updateWork(Work work);

    /**
     * 指定著作查询
     *
     * @param id
     * @return
     */
    @Select("select * from teacherteam_system.work where id = #{id}")
    Work getById(Long id);

    /**
     * 删除指定著作
     * @param id
     */
    @Delete("delete from teacherteam_system.work where id = #{id}")
    void deleteById(Long id);
}
